<div class="row mta justify-content-center">
    <div class="card">
        <div class="card-header" style="text-align: center">
            <h2 class="card-title">
                <fa-icon [icon]="faMotorcycle"></fa-icon> Em Processo de Entrega
            </h2>
        </div>
        <div class="card-body">

            <p class="card-text">
                <strong><fa-icon [icon]="faTag"></fa-icon> ID do Pedido:</strong> {{ id }}
            </p>
            <p class="card-text">
                <strong><fa-icon [icon]="faMapMarkerAlt"></fa-icon> Endereço de
          Retirada:</strong
        >
        {{ pedido.loja.logradouro+" - "+pedido.loja.bairro+" - "+pedido.loja.localidade }}
      </p>
      <p class="card-text">
        <strong
          ><fa-icon [icon]="faMapMarkerAlt"></fa-icon> Endereço de
          Entrega:</strong
        >
        {{ pedido.cliente.logradouro+" - "+pedido.cliente.bairro+" - "+pedido.cliente.localidade }}
      </p>

      <p class="card-text">
        <strong><fa-icon [icon]="faClock"></fa-icon> Tempo Estimado: </strong> {{ pedido.tempoEstimado }} m

            </p>

            <div class="row justify-content-center">
                <div class="card">
                    <app-mapa [latitudeDestination]="pedido.cliente.latitude" [longitudeDestination]="pedido.cliente.longitude" [latitudeOrigin]="pedido.loja.latitude" [longitudeOrigin]="pedido.loja.longitude"[latitudeWaypoint]="pedido.entregador!.latitude"
                    [longitudeWaypoint]="pedido.entregador!.longitude"></app-mapa>
                </div>

            </div>
            <hr />
            <div class="row justify-content-center">
                <a style="margin-right: 10px" href="https://www.waze.com/ul?ll=-30.028841721150002%2C-51.18197601355743&navigate=yes&zoom=17" target="_blank" class="btn btn-primary primary-color-bg btn-resize mb20">
                    <fa-icon [icon]="faWaze"></fa-icon> Iniciar viagem com Waze</a>
                <a href="https://www.google.com.br/maps/place/-30.026740693257462,-51.18987484376673" target="_blank" class="btn btn-primary primary-color-bg btn-resize mb20">
                    <fa-icon [icon]="faGoogle"></fa-icon> Iniciar viagem com GoogleMaps
                </a>
            </div>
            <div class="row justify-content-center">
                <button class="btn btn-success btn-resize" (click)="confirmRetirada()">
                    <fa-icon [icon]="faPeopleCarry"></fa-icon> Confirmar Retirada</button>
            </div>
        </div>
    </div>
</div>
